<?xml version="1.0" encoding="utf-8"?>
<permissions>
    <privapp-permissions package="com.huawei.android.FloatTasks">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_DREAM_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.HW_INJECT_EVENTS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.camera">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.CONFIG_BRIGHTNESS"/>
        <permission name="com.huawei.permission.HW_SERVICE_HOST"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN_PRIVILEGED"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.deskclock">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.SHUTDOWN"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.fingerprint.permission.FP_NAVIGATION"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.email">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SMARTCARE"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="com.huawei.permission.sec.SDK_LAUNCHER"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.magazine">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.mirror">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="com.huawei.permission.sec.ACCESS_UDID"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.photos">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_ANIMATION_SCALE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.huawei.permission.ACCESS_DISPLAY_ENGINE"/>
        <permission name="com.huawei.permission.MANAGE_FOLD_SCREEN"/>
        <permission name="com.huawei.permission.SOFTNET"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.searchservice">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.security2">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

    <privapp-permissions package="com.huawei.smartshot">
        <permission name="huawei.android.permission.HW_SIGNATURE_OR_SYSTEM"/>
    </privapp-permissions>

</permissions>
